(truth
(eval `(store zoe ,zoe))
(eval `(store walter ,walter))
(eval `(store victor ,victor))
(insert zoe private)
(insert walter colonel)
(insert victor general)
(remove2 zoe general)
(remove2 walter private)
(remove2 victor colonel)
)
